terraform {
  backend "kubernetes" {
    secret_suffix = "state"
    config_path   = "~/.kube/config"
    labels = {
      "app.kubernetes.io/managed-by" : "terraform"
    }
  }
}

provider "kubernetes" {
  config_path = "~/.kube/config"
}

module "aws_parameters_external_secrets" {
  source = "./modules/aws_parameters_external_secrets"
}


module "cloudflare_records" {
  source = "./modules/cloudflare_site"

  dns_zone = "badjware.dev"
  dns_records = [
    {
      name  = "@"
      type  = "A"
      value = "104.152.168.30"

      proxied = false
    },
    {
      name     = "@"
      type     = "MX"
      value    = "mail.badjware.dev"
      priority = 0

      proxied = false
    },
    {
      name  = "mail"
      type  = "CNAME"
      value = "badjware.dev"

      proxied = false
    },
    {
      name  = "cloud"
      type  = "CNAME"
      value = "home.badjware.dev"
    },
    {
      name  = "code"
      type  = "CNAME"
      value = "home.badjware.dev"
    },
    {
      name  = "grafana"
      type  = "A"
      type  = "CNAME"
      value = "home.badjware.dev"
    },
    {
      name  = "hass"
      type  = "CNAME"
      value = "home.badjware.dev"
    },
    {
      name  = "chat"
      type  = "CNAME"
      value = "home.badjware.dev"
    },
    {
      name  = "satisfactory"
      type  = "CNAME"
      value = "home.badjware.dev"

      proxied = false
    },
  ]
}
